Bug 894748 - Non-free license
Summary: Non-free license
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php-pear-phing
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christof Damian
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-13 16:57 UTC by Remi Collet
Modified: 2013-04-25 14:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-25 14:14:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Remi Collet 2013-01-13 16:57:32 UTC
From /usr/share/pear/phing/tasks/ext/jsmin/JsMin.php

* The Software shall be used for Good, not Evil.

This License is not acceptable for Fedora repository
See https://fedoraproject.org/wiki/Licensing:Main (JSON License)

Please fix this.
Sorry :(

Comment 1 Christof Damian 2013-01-13 18:58:03 UTC
OK, I guess I am just going to remove that extension in Fedora and tell the author about it. 

I have an outstanding update for phing (bug 878789), that I will do at the same time.

Comment 2 Christof Damian 2013-01-14 18:47:20 UTC
(In reply to comment #0)
> From /usr/share/pear/phing/tasks/ext/jsmin/JsMin.php
> 
> * The Software shall be used for Good, not Evil.
> 
> This License is not acceptable for Fedora repository
> See https://fedoraproject.org/wiki/Licensing:Main (JSON License)
> 
> Please fix this.
> Sorry :(

One question: I assume I also have to remove this from the source file and src.rpm? Or is it enough if it is removed from the installation?

Comment 3 Remi Collet 2013-01-14 18:59:09 UTC
(In reply to comment #2)

> I assume I also have to remove this from the source file and src.rpm? 
Yes.

Ex (same issue):
https://github.com/remicollet/remirepo/commit/eacc2c4c405e6e9182d76d5012e94a58de1c5fb1

Comment 4 Christof Damian 2013-01-14 19:38:29 UTC
(In reply to comment #3)
> (In reply to comment #2)
> 
> > I assume I also have to remove this from the source file and src.rpm? 
> Yes.
> 
> Ex (same issue):
> https://github.com/remicollet/remirepo/commit/
> eacc2c4c405e6e9182d76d5012e94a58de1c5fb1

Thanks, I will steal that. 

I reported the issue to the phing guys: http://www.phing.info/trac/ticket/975

I will create the updates now, it is already submitted to rawhide.

Comment 5 Fedora Update System 2013-01-14 19:51:40 UTC
php-pear-phing-2.4.14-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-pear-phing-2.4.14-1.fc18

Comment 6 Fedora Update System 2013-01-14 20:04:40 UTC
php-pear-phing-2.4.14-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-pear-phing-2.4.14-1.fc17

Comment 7 Fedora Update System 2013-01-14 20:22:28 UTC
php-pear-phing-2.4.14-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-pear-phing-2.4.14-1.fc16

Comment 8 Fedora Update System 2013-01-14 20:35:23 UTC
php-pear-phing-2.4.14-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-pear-phing-2.4.14-1.el6

Comment 9 Fedora Update System 2013-01-16 17:28:19 UTC
Package php-pear-phing-2.4.14-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing php-pear-phing-2.4.14-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0107/php-pear-phing-2.4.14-1.el6
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-01-25 21:25:48 UTC
php-pear-phing-2.4.14-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-01-25 21:28:38 UTC
php-pear-phing-2.4.14-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-01-25 21:32:34 UTC
php-pear-phing-2.4.14-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-02-01 13:17:24 UTC
php-pear-phing-2.4.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Karl Latiss 2013-02-21 03:17:41 UTC
The problem still persists as there is a reference to JsMin in 

/usr/share/pear/data/phing/tasks/defaults.properties

line 119.

Once removed there I think we are good to go.

Comment 15 Remi Collet 2013-03-28 12:47:03 UTC
@Christof: see http://pkgs.fedoraproject.org/cgit/php-pear-phing.git/commit/?id=10255b3fbf94fe301ece1c95189e24b02dd5f97f

I haven't rebuild the package as I don't know if you plan an update to 2.5.0.
This updated script should fix the defaults.properties issue.

I reopen the bug.

Comment 16 Christof Damian 2013-03-28 15:16:44 UTC
@Remi I plan to update to 2.5, but probably not until next week. I have bug:915717 to track it

Comment 17 Fedora End Of Life 2013-04-03 19:15:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 18 Fedora Update System 2013-04-20 17:23:31 UTC
php-pear-phing-2.5.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-pear-phing-2.5.0-2.fc19

Comment 19 Fedora Update System 2013-04-21 05:04:11 UTC
Package php-pear-phing-2.5.0-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-pear-phing-2.5.0-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6186/php-pear-phing-2.5.0-2.fc19
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2013-04-25 14:14:35 UTC
php-pear-phing-2.5.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.